/* $Id: test15.c,v 1.2 2009/01/27 15:58:54 potyra Exp $ 
 *
 * Copyright (C) 2008-2009 FAUcc Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */
extern int test(void);

register int x asm("eax");

int
main(void)
{
	register int y asm("ebx");

	y = test() + x;

	return y;
}
